IFAPI_EVENT Struct Reference

`#include <ifapi_eventlog.h>`

## Data Fields

UINT32 | recnum
TPM2_HANDLE | pcr
TPML_DIGEST_VALUES | digests
IFAPI_EVENT_TYPE | content_type
IFAPI_EVENT_UNION | content
bool | verify

## Detailed Description

Type for representing a FAPI event

## Field Documentation

## content

IFAPI_EVENT_UNION content

The event data

## content_type

IFAPI_EVENT_TYPE content_type

Selector for object type

## digests

TPML_DIGEST_VALUES digests

The digest list of the event

## pcr

TPM2_HANDLE pcr

PCR register

## recnum

UINT32 recnum

Number of event

## verify

bool verify

Switch whether digest can be verified.

The documentation for this struct was generated from the following file:

- src/tss2-fapi/ifapi_eventlog.h